### Class

# Gimp Choice

#### Description

    final class Gimp.Choice : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gimp_choice_new

No description available.

since: 3.0

###### gimp_choice_new_with_values

No description available.

since: 3.0

#### Instance methods

###### gimp_choice_add

This procedure adds a new possible value to `choice` list of values. The `id` is an optional integer identifier. This can be useful for instance when you want to work with different enum values mapped to each `nick`.

since: 3.0

###### gimp_choice_get_documentation

Returns the documentation strings for `nick`.

since: 3.0

###### gimp_choice_get_help

Returns the longer documentation for `nick`.

since: 3.0

###### gimp_choice_get_id

No description available.

since: 3.0

###### gimp_choice_get_label

No description available.

since: 3.0

###### gimp_choice_is_valid

This procedure checks if the given `nick` is valid and refers to an existing choice.

since: 3.0

###### gimp_choice_list_nicks

This procedure returns the list of nicks allowed for `choice`.

since: 3.0

###### gimp_choice_set_sensitive

Change the sensitivity of a possible `nick`. Technically a non-sensitive `nick` means it cannot be chosen anymore (so `gimp_choice_is_valid()` will return `FALSE`; nevertheless `gimp_choice_list_nicks()` and other functions to get information about a choice will still function).

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Gimp.Choice::sensitivity-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpChoiceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.